package com.inspect.metadata.statis.mapper;

import com.inspect.metadata.statis.domain.BasedataStatisNvr;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataStatisNvrMapper {
    BasedataStatisNvr selectBasedataStatisNvrByStatisNvrId(Long nvrId);

    List<BasedataStatisNvr> selectBasedataStatisNvrList(BasedataStatisNvr nvr);

    int insertBasedataStatisNvr(BasedataStatisNvr nvr);

    int updateBasedataStatisNvr(BasedataStatisNvr nvr);

    int deleteBasedataStatisNvrByStatisNvrId(Long nvrId);

    int deleteBasedataStatisNvrByStatisNvrIds(Long[] nvrIds);
}
